/**************************************************************************
/* This class draws some strings on a canvas.
/*
/* Copyright (c) 2003 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU General Public License for more details.
/*
/* You should have received a copy of the GNU General Public License
/* along with this program; see the file COPYING.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
   This class draws some strings on a canvas.

   @version $Revision: 1.1 $
   @author  $Author: Bablokb $
*/

public class DrawString extends JFrame {

  //////////////////////////////////////////////////////////////////////////////

  /**
     Constructor.
  */

  public DrawString() {
  }

  //////////////////////////////////////////////////////////////////////////////

  /**
     Create GUI-components.
  */

  public void createGUI() {
    DrawCanvas canvas = new DrawCanvas();
    getContentPane().add(new JScrollPane(canvas));
  }

  //////////////////////////////////////////////////////////////////////////////

  public static void main(String[] args) {

    DrawString ds = new DrawString();

    ds.addWindowListener(new WindowAdapter() {
	public void windowClosing(WindowEvent event) {
	  System.exit(0);
	}
      });

    ds.createGUI();
    ds.setSize(new Dimension(200,200));
    ds.setTitle("DrawString");
    ds.show();

  }

  //////////////////////////////////////////////////////////////////////////////

  private static class DrawCanvas extends Canvas {
    public void paint(Graphics g) {
      g.setFont(Font.decode("SansSerif-bold-20"));
      g.drawString("Coffee-Shop",50,50);
      ((Graphics2D) g).rotate(Math.PI/2.0,50,50);
      g.drawString("Coffee-Shop",50,70);
    }
  }
}

